# JetTasks
A sample demo app (two screen todo list app) which has **Clean Architecture with MVVM** , UI built with **Jetpack Compose** and includes **Modern Android Development Best Practices** with components as below:

- Jetpack Compose - UI
(Includes - Text, Button, Dropdown Menu, Date Picker, Toggle Switch, RecyclerView, ConstraintLayout and Floating Action Button)
- Kotlin Flow
- Hilt - Dependency injection
- Kotlin Coroutines
- Room with Coroutines & Flow Support
- Jetpack Datastore - Proto DataStore
- Jetpack Compose Navigation - With SafeArgs
- Jetpack Compose Theming - With Light & Dark Mode Support

This App is inspired by *Working with Proto DataStore* Google Codelabs and includes Local Data Storage support - with Room as well as Proto DataStore.

- Room - Saves the Tasks created by User
- Proto DataStore - Saves User Preferences(SortOrder and ShowCompleted flag)


## Light Mode

|   Task List    |   Task Details  |   App Tour       
|---	|--- |---
|  ![](https://github.com/bhavnathacker/JetTasks/blob/master/demo/light_task_list.png)    |  ![](https://github.com/bhavnathacker/JetTasks/blob/master/demo/light_task_detail.png)     |  ![](https://github.com/bhavnathacker/JetTasks/blob/master/demo/app_tour_demo_light.gif)    

<br />
 

## Dark Mode

|   Task List    |   Task Details  |   App Tour       
|---	|--- |---
|  ![](https://github.com/bhavnathacker/JetTasks/blob/master/demo/dark_task_list.png)    |  ![](https://github.com/bhavnathacker/JetTasks/blob/master/demo/dark_task_detail.png)     |  ![](https://github.com/bhavnathacker/JetTasks/blob/master/demo/app_tour_demo_dark.gif)    

<br />






